Gecode::Int::LDSB::ValueSymmetryObject Class Reference

Implementation of a value symmetry at the modelling level. More...

`#include <ldsb.hh>`

## Public Member Functions

| ValueSymmetryObject (IntSet vs)
| Constructor for creation.
Public Member Functions inherited from Gecode::Int::LDSB::SymmetryObject
| SymmetryObject (void)
| Default constructor.
virtual | ~SymmetryObject (void)
| Destructor.

## Public Attributes

IntSet | values
| Set of symmetric values.
Public Attributes inherited from Gecode::Int::LDSB::SymmetryObject
int | nrefs
| Number of references that point to this symmetry object.

## Detailed Description

Implementation of a value symmetry at the modelling level.

Definition at line 128 of file ldsb.hh.

## Constructor & Destructor Documentation

## ValueSymmetryObject()

Gecode::Int::LDSB::ValueSymmetryObject::ValueSymmetryObject | ( | IntSet | vs | ) |

Constructor for creation.

Definition at line 90 of file sym-obj.cpp.

## Member Data Documentation

## values

IntSet Gecode::Int::LDSB::ValueSymmetryObject::values

Set of symmetric values.

Definition at line 131 of file ldsb.hh.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/sym-obj.cpp